Create a decision request
POST
/v1/review-tasks/{reviewTaskId}/decision-requestscurl -X POST 'https://api.embodiflow.io/v1/review-tasks/{reviewTaskId}/decision-requests' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT' \
-H 'Content-Type: application/json' \
-d '{
"decision": "approve",
"comment": "string",
"acceptedItemIds": [
"string"
],
"rejectedItemIds": [
"string"
],
"rejectedQueryDescriptors": [
"string"
]
}'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- reviewTaskIdstring必填
请求头参数
- Idempotency-Keystring
Optional idempotency key, at most 255 characters (UUIDv4 recommended). A repeated key returns the first response byte-for-byte, including a 5xx. The same key with a different body, or a second in-flight request, returns 409 IDEMPOTENCY_CONFLICT. Keys are unique per tenant and retained for 24 hours.
请求体
Content-Typeapplication/json
- decisionstring必填可选值approvereject
- commentstring | null
- acceptedItemIdsarray<string>
- rejectedItemIdsarray<string>
- rejectedQueryDescriptorsarray<string>
响应
Success
- dataobject必填
- idstring必填
- tenantIdstring必填
- projectIdstring必填
- workflowRunIdstring必填
- subjectTypestring必填
- subjectRefIdstring必填
- statusstring必填
- decisionstring | null必填
- reviewerProjectMembershipIdstring | null必填
- dueAtstring | null必填
- stepKeystring必填
- taskTitlestring必填
- overdueone of必填
- createdAtstring必填
- updatedAtstring必填
响应示例
{
"data": {
"id": "string",
"tenantId": "string",
"projectId": "string",
"workflowRunId": "string",
"subjectType": "string",
"subjectRefId": "string",
"status": "string",
"decision": "string",
"reviewerProjectMembershipId": "string",
"dueAt": "string",
"stepKey": "string",
"taskTitle": "string",
"overdue": false,
"createdAt": "string",
"updatedAt": "string"
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1